<?php
/**
 * データベースアクセスに関するパッケージです
 *
 * データベースへ接続するパラメータの記述です。
 * 
 * @category   system
 * @package    sysutil
 * @author     okotaneko
 * @version    1.0
 * @access     public
 */

/**
 * ここは inlcude DocBlock です。
 *
 * inlcude ファイルの説明など書きます。
 */

/**
 * 三国志システムエラー(クライアントにエラーを返す)
 * (本当はException継承して独自エラーを作成するのだが･･･)
 * 例外のcatchのgetCode以外で仕様しないこと
 * 
 * @var string 三国志システムが独自に使用するエラーコード
 */
define('SYSTEM_ERROR', 99);

/**
 * 不明なエラーコード
 * 
 * @var string システムが生成した例外以外のエラーコード
 */
define('UNKNOWN_ERROR', 99999);

/**
 * 不明なエラーコード
 * 
 * @var string セッションID不一致のエラーコード
 */
define('SESSION_ERROR', 999);

/**
 * コマンド成功値
 * 
 * @var integer コマンド失敗時の値
 */
define('CMD_ERR', 1);

/**
 * コマンド成功値
 * 
 * @var integer コマンド成功時の値
 */
define('CMD_OK', 0);


/**
 * 電文のセパレータ文字
 * 
 * @var string セパレータの文字
 */
define('SP', ',');

/**
 * 電文のラインフィード
 * 
 * @var string セパレータの文字
 */
define('RLF', '>>');

/**
 * UserIDの桁数
 * 
 * @var integer UserIDの桁数
 */
define('USERID_CNT', 10);

/**
 * UserIDの型(先頭文字)
 * 
 * @var integer UserIDの型(先頭文字)
 */
define('USERID_PREFIX', 'U');

/**
 * UserNameの桁数
 *
 * @var integer UserNameの桁数
 *
 */
define('USERNAME_CNT', 40);

/**
 * UserTypeの区分
 * 
 * @var string UserIDの区分文字
 */
define('USER_KBN', 'u');

/**
 * UserTypeの区分
 * 
 * @var string 総大将の区分文字
 */
define('SOUDAISYO_KBN', 's');

/**
 * 受付時間終了フラグ
 * 
 * @var integer 受付時間が終了した時のフラグ値
 */
define('OVERTIME', 1);

/**
 * 攻撃側判定フラグ
 * 
 * @var integer 攻撃側判定フラグ
 */
define('OFF_TYPE', 1);

/**
 * 守備側判定フラグ
 * 
 * @var integer 守備側判定フラグ
 */
define('DEF_TYPE', 2);

/**
 * 攻撃側初期位置配列
 * 
 * @var integer 攻撃側初期配備位置
 */
define('OFF_INIT', serialize(array(2516,2517,2518,2519,2520,2561,2562,2563,2564,2565,2606,2607,2608,2609,2610,2651,2652,2653,2654,2655,2696,2697,2698,2699,2700)));

/**
 * 守備側初期位置配列
 * 
 * @var integer 守備側初期配備位置
 */
define('DEF_INIT', serialize(array(1,2,3,4,5,46,47,48,49,50,91,92,93,94,95,136,137,138,139,140,181,182,183,184,185,41,42,43,44,45,86,87,88,89,90,131,132,133,134,135,176,177,178,179,180,221,222,223,224,225,2476,2477,2478,2479,2480,2521,2522,2523,2524,2525,2566,2567,2568,2569,2570,2611,2612,2613,2614,2615,2656,2657,2658,2659,2660)));

/**
 * 攻撃減算地
 * 
 * @var integer 守備側判定フラグ
 */
define('DEC_POWER', 10);


